#!/usr/bin/sh

########################################################################

CLIENT_PATH=/opt/client      #自定义程序安装目录

########################################################################

echo
echo 西北农林科技大学校园网Ubuntu系统客户端安装脚本
echo
echo 当前用户为： $USER
echo 用户主目录： $HOME
echo 当前目录为： $PWD
echo 默认程序安装目录： $CLIENT_PATH
echo

#检查程序文件完整状况 
if [ -d glade ]&&[ -d png ] &&[ -f client ];
then 

#修改 run.sh 文件中程序启动路径
   echo gksudo  $CLIENT_PATH/client  > run.sh

#开始安装进程
   echo -n 是否开始安装？（Y/N）：
   read ok1

   { [ $ok1 != Y ] && [ $ok1 != y ] ;} && {
      echo 退出安装！
      exit;     
   }

   { [ $ok1 = Y ] || [ $ok1 = y ] ;} && {
#------若指定安装目录已存在
         [ -d  $CLIENT_PATH ] && {
	      echo -n 存在指定安装目录，是否重新安装（Y/N）：
              read ok2
	      sudo echo                #启用root权限
  	     { [ $ok2 != Y ] && [ $ok2 != y ] ;} && {
     		 echo 退出安装！
      		 exit;      
   	     }
 	    { [ $ok2 = Y ] || [ $ok2 = y ] ;} && {
		sudo rm -r $CLIENT_PATH
    		echo 创建安装文件夹 $CLIENT_PATH
     		sudo mkdir  -p $CLIENT_PATH
     		echo 复制文件到安装文件夹
    		sudo cp -rf ./*       $CLIENT_PATH
   	   }
      }
#------若指定安装目录不存在
       [ -d  $CLIENT_PATH ] || {
    		echo 创建安装文件夹 $CLIENT_PATH
   	  	sudo mkdir  -p  $CLIENT_PATH
    	 	echo 复制文件到安装文件夹
    		sudo cp -rf ./*       $CLIENT_PATH 
	 }
}

#检查系统中是否已存在所需库文件，并做对应操作
   if  find  /usr/lib  -name  libnet.so.1 >/dev/null && find  /usr/lib  -name  libpcap.so.0.8 >/dev/null;then
          echo  ""
   else  { 
 	  echo  复制文件到 /usr/lib 目录
  	 sudo cp -f ./lib/libnet.so.1          /usr/lib
  	 sudo cp -f ./lib/libpcap.so.0.8    /usr/lib
    }
   fi;

#检查是否存在/opt/client/glade/client.glade文件，并做对应操作

    [ -f /opt/client/glade/client.glade ]||{ sudo mkdir -p /opt/client/glade ; sudo cp glade/client.glade  /opt/client/glade/ ; }

#程序文件属主及权限设置
   echo 更改程序安装目录的所有者为 $USER
   sudo chown -R $USER  $CLIENT_PATH
   echo 为所有用户添加对登录程序client的可执行权限
   sudo chmod  a+x  $CLIENT_PATH/client
   sudo chmod  a+x  $CLIENT_PATH/run.sh

#创建程序到桌面的启动器
   echo 创建‘登录程序’到桌面的启动器
[ -d  ~/桌面 ]&&{
   cp -f NetClient  ~/桌面/Client.desktop
   echo Exec=$CLIENT_PATH/run.sh >>~/桌面/Client.desktop
   echo Icon=$CLIENT_PATH/png/client.png >>~/桌面/Client.desktop
}
[ -d  ~/Desktop ]&& {
   cp -f NetClient  ~/Desktop/Client.desktop
   echo Exec=$CLIENT_PATH/run.sh >>~/Desktop/Client.desktop
   echo Icon=$CLIENT_PATH/png/client.png >>~/Desktop/Client.desktop
}

#完成安装
   echo 
   echo 安装完成！

#检测到必须文件(夹)丢失而取消安装
else 
echo 程序文件丢失或本脚本未放置在程序目录中，操作无法进行！
fi; 






